Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface SchemaAttributeModel

public interface SchemaAttributeModel

Represents the attribute structure allowed on a complex type.

See Also:
  `SchemaType.getAttributeModel()`

Field Summary
`static int` | `LAX` Lax wildcard processing.
`static int` | `NONE` See `getWildcardProcess()`
`static int` | `SKIP` Skip wildcard processing.
`static int` | `STRICT` Strict wildcard processing.

Method Summary
`SchemaLocalAttribute` | `getAttribute(QName name)` Returns the attribute with the given name.
`SchemaLocalAttribute[]` | `getAttributes()` Returns an array containing all the attributes in the model.
`int` | `getWildcardProcess()` Returns the processing code (`STRICT`, `LAX`, `SKIP`).
`QNameSet` | `getWildcardSet()` QNameSet representing the attribute wildcard specification.

Field Detail

### NONE

    public static final int NONE

  See `getWildcardProcess()`

  See Also:
    Constant Field Values

### STRICT

    public static final int STRICT

  Strict wildcard processing. See `getWildcardProcess()`

  See Also:
    Constant Field Values

### LAX

    public static final int LAX

  Lax wildcard processing. See `getWildcardProcess()`

  See Also:
    Constant Field Values

### SKIP

    public static final int SKIP

  Skip wildcard processing. See `getWildcardProcess()`

  See Also:
    Constant Field Values

Method Detail

### getAttributes

    public SchemaLocalAttribute[] getAttributes()

  Returns an array containing all the attributes in the model.

### getAttribute

    public SchemaLocalAttribute getAttribute(QName name)

  Returns the attribute with the given name.

### getWildcardSet

    public QNameSet getWildcardSet()

  QNameSet representing the attribute wildcard specification.

### getWildcardProcess

    public int getWildcardProcess()

  Returns the processing code (`STRICT`, `LAX`, `SKIP`). Returns 0 (`NONE`) if no wildcard specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD